%define tarname	TraitsGUI
%define name	python-enthought-traitsgui
%define version 3.1.0
%define release	%mkrel 2

%define epoch	1

Summary:	Enthought Tool Suite - TraitsGUI project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	%{tarname}-%{version}.tar.gz
# Avoid a problem in setup.py by just deleting the problematic bit,
# we don't need it - AdamW 2008/12
Patch0:		python-enthought-traitsgui-3.0.3-setup.patch
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/traits_gui/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Obsoletes:	python-enthought-traits-ui
Requires:	python-enthought-enthoughtbase >= %{epoch}:3.0.3
Requires:	python-enthought-traits >= %{epoch}:3.2.0
Suggests:	python-enthought-traitsbackendqt >= %{epoch}:3.2.0
Suggests:	python-enthought-traitsbackendwx >= %{epoch}:3.2.0
BuildRequires:	python-setupdocs >= 1.0
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The TraitsGUI project contains a toolkit-independent GUI abstraction
layer (known as Pyface), which is used to support the "visualization"
features of the Traits package. Thus, you can write code in terms of
the Traits API (view, items, editors, etc.), and let TraitsGUI and
your selected toolkit and backend take care of the details of
displaying them.

To display Traits-based user interfaces, you must install either the
TraitsBackendWX or TraitsBackendQt project.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1 -b .setup

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ docs/*.pdf



%changelog
* Sun Aug 23 2009 Lev Givon <lev@mandriva.org> 1:3.1.0-2mdv2010.0
+ Revision: 419742
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 419088
- Update to 3.1.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 363912
- Update to 3.0.4.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358074
- Update to latest upstream svn.
  Remove patch to workaround a build problem already fixed upstream.

* Wed Dec 31 2008 Adam Williamson <awilliamson@mandriva.org> 3.0.3-2mdv2009.1
+ Revision: 321620
- rebuild with python 2.6
- add setup.patch: avoid a problem in setup.py

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 313662
- Update to 3.0.3.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 298932
- import python-enthought-traitsgui


